Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Interface SoloMapComponentPolicy

All Known Implementing Classes:
  SoloMapComponentRejectPolicy, SoloMapComponentReplacePolicy

public interface SoloMapComponentPolicy

An interface to control the behavior of the BeanContext when duplicate SoloMapComponents are added to it.

Method Summary
`boolean` | `canAdd(java.beans.beancontext.BeanContextSupport bc, java.lang.Object obj)` Ask whether an object can be added to the to the context.

Method Detail

### canAdd

    public boolean canAdd(java.beans.beancontext.BeanContextSupport bc,
                          java.lang.Object obj)
                   throws MultipleSoloMapComponentException

  Ask whether an object can be added to the to the context.

  Parameters:
    `bc` - the context to add to
    `obj` - the object to add
  Returns:
    true if the object can be added.
  Throws:
    `MultipleSoloMapComponentException` - describing the conflict if there is one and the object can't be added.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details